summaryrefslogtreecommitdiffstats
path: root/update_jdn.sh
diff options
context:
space:
mode:
authorPhilip Hands <phil@hands.com>2016-05-11 21:23:58 +0200
committerPhilip Hands <phil@hands.com>2016-05-12 00:33:31 +0200
commitd7f98b96dce173cd73ffa25677e0211fd9b79929 (patch)
tree1aaca571277d759814812fa23ce8ea0567c88595 /update_jdn.sh
parent13a30494ac41b81a39272a8b327729487f974b71 (diff)
downloadjenkins.debian.net-d7f98b96dce173cd73ffa25677e0211fd9b79929.tar.xz
check that there are .yaml.py files to process before trying
Diffstat (limited to 'update_jdn.sh')
-rwxr-xr-xupdate_jdn.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/update_jdn.sh b/update_jdn.sh
index 846d29dc..e1132263 100755
--- a/update_jdn.sh
+++ b/update_jdn.sh
@@ -498,6 +498,7 @@ if [ "$HOSTNAME" = "jenkins" ] || [ "$HOSTNAME" = "jenkins-test-vm" ] ; then
cd /srv/jenkins/job-cfg
for metaconfig in *.yaml.py ; do
# there are both python2 and python3 scripts here
+ [ -e ./$metaconfig ] || continue
./$metaconfig > $TMPFILE
if ! sudo -u jenkins-adm cmp -s ${metaconfig%.py} - < $TMPFILE ; then
sudo -u jenkins-adm tee ${metaconfig%.py} > /dev/null < $TMPFILE